<?php
defined('BASEPATH') or exit('No direct script access allowed');

class YoutubeController extends MY_Controller
{

	public function __construct()
	{
		parent::__construct();
	}

	public function index()
	{
		$this->load->model('LifeModel', 'lifeModel');		
		$this->response(200, 'success', $this->lifeModel->saveCmTv(json_decode($this->input->raw_input_stream)));
	}

	public function curation() {
		$this->load->model('CurationModel', 'curationModel');		
		$this->response(200, 'success', $this->curationModel->save(json_decode($this->input->raw_input_stream)));
	}

	public function video() {
		$this->load->model('CurationModel', 'curationModel');		
		$this->response(200, 'success', $this->curationModel->get(json_decode($this->input->raw_input_stream)));
	}

	public function delete() {
		$this->load->model('CurationModel', 'curationModel');		
		$this->response(200, 'success', $this->curationModel->delete(json_decode($this->input->raw_input_stream)));
	}

	public function channel() {
		$this->load->model('ChannelModel', 'channelnModel');		
		$this->response(200, 'success', $this->channelnModel->get(json_decode($this->input->raw_input_stream)));
	}
}
